Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX
  NX6 Punke Importieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   NX6 Punke Importieren (1625 mal gelesen)
Snap85
Mitglied


Sehen Sie sich das Profil von Snap85 an!   Senden Sie eine Private Message an Snap85  Schreiben Sie einen Gästebucheintrag für Snap85

Beiträge: 4
Registriert: 07.06.2009

erstellt am: 07. Jun. 2009 15:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich hoffe ich werde für meine erste und wahrscheinlich ziemlich simple Frage nicht gleich auseinandergenommen. Es geht um folgendes:

Es wurde ein Bauteil in NX6 erstellt und dieses dann aus Kunststoff gefertigt.
An diesem Bauteil gibt es ca 10 signifikante Punkte. Diese Punkte habe ich mit Hilfe eines Infrarotsystems erfasst und digital gespeichert.

Nun möchte ich diese Punkte in NX6 einfügen und mit dem Entwurf vergleichen. (Ich möchte also wissen, wie groß die Fertigungsabweichungen sind.) Im Idealfall würden die Punkte des Modells mit den eingelesenen identisch sein.

Ich hab' Punkte bisher via Splines eingelesen, weiß aber nicht wie ich die Position des Koordinatensystems verändern kann.
Das Problem liegt darin, dass ich zwar das Modell und die Punkte in einer Datei habe, die Ursprünge aber völlig unterschiedlich sind.

Gibt es die Möglichkeit Punkte einzufügen und diese gemeinsam zu verschieben, zu drehen usw?

Beste Grüße,
Markus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2186
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5

erstellt am: 07. Jun. 2009 22:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Snap85 10 Unities + Antwort hilfreich

Hallo Markus,

erstmal willkommen hier im Forum - und keine Angst - gefressen wird hier keiner.
Zum Einlesen von Punkten findest Du entweder hier oder in Programmier- Forum einige Beiträge, teils mit Programmen, die Punkte aus ASCII- Files einlesen. Also einfach die Suchfunktion benutzen, da wirst Du sicher fündig. Bei 10 Punkten geht's aber auch manuell bzw. mit Copy/Paste.
Für's Positionieren reicht's u.U. schon, vor den Einsetzen der Punkte das WCS auszurichten. Hast Du sie schon drin, geht's über Edit -> Transform -> Reposition.
Alternativ kannst Du die Punkte in ein separates Part einlesen und das als Assembly- Komponente einsetzen. Anschließend einfach die Komponente interaktiv positionieren.

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

micru
Mitglied
CAD/PDM Admin


Sehen Sie sich das Profil von micru an!   Senden Sie eine Private Message an micru  Schreiben Sie einen Gästebucheintrag für micru

Beiträge: 279
Registriert: 15.01.2004

Siemens NX
Siemens TC

erstellt am: 08. Jun. 2009 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Snap85 10 Unities + Antwort hilfreich

Hallo Markus,

in unserem Werk werden auch die gespritzten Teile an vorher definierten Punkten vermessen und unserer Konstruktion als .vda Files zur Verfügung gestellt. Diese wiederum lesen wir in unser NX5 ein. Dann wird diese eingelesene Datei, bestehend aus 3D-Punkten, als neue Komponente der entsprechenden Baugruppe hinzugefügt und wie von Michael beschrieben positioniert.
Nun kann man die Abweichungen von der Konstruktion zum gespritzten Teil im NX5 messen.

------------------
  Gruß Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Snap85
Mitglied


Sehen Sie sich das Profil von Snap85 an!   Senden Sie eine Private Message an Snap85  Schreiben Sie einen Gästebucheintrag für Snap85

Beiträge: 4
Registriert: 07.06.2009

erstellt am: 08. Jun. 2009 17:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die Antworten. Ich werd' noch 'n bisschen im Forum lesen und mich dann an der Aufgabe probieren.

Gruß, Markus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MAhrens
Mitglied
Dipl.-Ing.


Sehen Sie sich das Profil von MAhrens an!   Senden Sie eine Private Message an MAhrens  Schreiben Sie einen Gästebucheintrag für MAhrens

Beiträge: 527
Registriert: 17.11.2000

SAP,TC8.3,NX7.5,T4S

erstellt am: 08. Jun. 2009 19:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Snap85 10 Unities + Antwort hilfreich

Hallo,

schaue Dir doch mal unter Deiner lokalen Installation die UGOpen Beispiel genauer an. Dort findest Du unter folgendem Pfad

UGOPEN\SampleNXOpenApplications\.NET\File2Points

Ein Beispiel namens file2points.vb. Diese mal einfach als Journal ausführen und schon hast Du Deine Punkte im NX CAD. Anbei die Readme zu dem VB .NET Makro.

file2points.vb example

This example shows a journal which allows the user to select
a text file and create a set of points in the work part
from the data in the file. It is a reimplementation of
the file2points grip program in Visual Basic .Net and show
using the .Net open file dialog together with .Net IO to
read a text file. The grip program is provided for comparison.

HOW TO RUN THE EXAMPLE
- Open a part or a new part.
- Run the .vb file from the journal manager dialog.
- You will be prompted for an input file.  This file should
contain the points that you want to create.  An example has been
provided = points.txt.  Its contents are described below.
- Select the input file and hit OK.
- The points from the file will be created in the part.


DESIGN NOTES
This uses the .Net Windows Forms open file dialog to select
a .txt file. The file is read a line at a time and the
line is parsed into 3 doubles. Points are created using
this data.

The points are created invisible and must be made visible explicitly.


FILE FORMAT
The text file read should have one point per line. Each
point is a comma separated list of three numbers. An Example
to create points at the corners of a square is:

--- start of file ---
0,0,0
1,0,0
1,1,0
0,1,0
--- end of file ---

Gruß

Matthias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Snap85
Mitglied


Sehen Sie sich das Profil von Snap85 an!   Senden Sie eine Private Message an Snap85  Schreiben Sie einen Gästebucheintrag für Snap85

Beiträge: 4
Registriert: 07.06.2009

erstellt am: 12. Jun. 2009 13:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

So ich hab' jetzt n bisschen rumprobiert.
Ich kann den Spline, bzw die Punkte verschieben. Allerdings ist eine Punkt auf Punkt-Ausrichtung in 3D sehr schwer. Über die Option Touch Align sollte es doch einfacher gehen, leider kann ich keinen Punkt auf dem zweiten Bauteil anklicken. Warum geht das nicht?

Gruß, Markus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hightower205
Ehrenmitglied
Leiter Engineering Services


Sehen Sie sich das Profil von Hightower205 an!   Senden Sie eine Private Message an Hightower205  Schreiben Sie einen Gästebucheintrag für Hightower205

Beiträge: 1725
Registriert: 27.01.2005

NX 8.0.3.4 MP11; TC 8.3.3
Win7 64Bit

erstellt am: 12. Jun. 2009 13:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Snap85 10 Unities + Antwort hilfreich

Ohne dass ich mich mit der ursprünglichen Thematik auskennen würde: wenn Du von einem "anderen Teil" sprichst, ist das ein anderer Körper im selben Teil (Datei) oder ein anderes Teil (Komponente in Baugruppe)?

Wenn letzteres = ja, dann könnte Dein Auswahlproblem daher kommen, da bestimmte Befehle nur eine Auswahl im selben Teil unterstützen.

------------------
Hoffeeinehilfegewesenzusein 

Gruß
Ralf

Improvisieren ist nur dann eine Kunst, wenn man nicht unvorbereitet aussieht...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Snap85
Mitglied


Sehen Sie sich das Profil von Snap85 an!   Senden Sie eine Private Message an Snap85  Schreiben Sie einen Gästebucheintrag für Snap85

Beiträge: 4
Registriert: 07.06.2009

erstellt am: 12. Jun. 2009 14:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, genau daran lag es. ich habe den Spline und das Bauteil jetzt als .prt gespeichert und dann als assembly zusammen geladen.

Nun kann ich auch über die Funktion Touch zwei Punkte aufeinander legen. Das führt mich aber direkt zum nächsten Problem:

Wie gesagt die Punkte sind untereinader verbunden und ich will sie nur im Verbund verschieben. Habe ich nun einen Punkt vom Spline und einen Punkt vom Bauteil "geTouched", kann ich keine Weiteren verbinden. Ich bekomme links im Assembly Navigator kleine rote Warnhinweise. Ich gehe davon aus, dass die weiteren Punkte nicht definierbar sind, da es sonst zu einer Verklemmung käme.
Wie kann ich das umgehen? Es interessiert mich nur, ob die Punkte vom Bauteil und Spline "in etwa" aufeinander liegen.
Ich hoffe mir kann noch irgendwer folgen.

Beste Grüße und schon mal ein schönes Wochenende, Markus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de